Loading...
Searching...
No Matches
point_448.hxx File Reference

Go to the source code of this file.

## Classes

struct | decaf::Ed448Goldilocks
| Ed448-Goldilocks/Decaf instantiation of group. More...
class | decaf::Ed448Goldilocks::Scalar
| A scalar modulo the curve order. More...
class | decaf::Ed448Goldilocks::Point
| Element of prime-order elliptic curve group. More...
class | decaf::Ed448Goldilocks::Precomputed
| Precomputed table of points. More...
struct | decaf::Ed448Goldilocks::DhLadder
| X-only Diffie-Hellman ladder functions. More...

## Namespaces

namespace | decaf
| Namespace for all C++ decaf objects.

## Macros

#define | _XOPEN_SOURCE 600
| This code uses posix_memalign.

## Detailed Description

Author
  Mike Hamburg

Copyright
  Copyright (c) 2015-2016 Cryptography Research, Inc.
  Released under the MIT License. See LICENSE.txt for license information.

A group of prime order, C++ wrapper.

The Decaf library implements cryptographic operations on a an elliptic curve group of prime order. It accomplishes this by using a twisted Edwards curve (isogenous to Ed448-Goldilocks) and wiping out the cofactor.

Most of the functions in this file run in constant time, can't fail except for ubiquitous reasons like memory exhaustion, and contain no data-dependend branches, timing or memory accesses. There are some exceptions, which should be noted. Typically, decoding functions can fail.

Warning
  This file was automatically generated in Python. Please do not edit it.